Bug 155657 - gam_server dumps core
gam_server dumps core
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gamin (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Daniel Veillard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-22 07:41 EDT by Martin Høy
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.1.3-1.FC3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-19 16:57:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Høy 2005-04-22 07:41:27 EDT
Description of problem:

gam_server coredumps

Version-Release number of selected component (if applicable):

gamin-0.0.25-1.FC3

How reproducible:

Not really sure how/when it happens, but it's occuring on several
workstations, so I think the problem is general.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

The gam_server crashes and dumps a core-file in the users homedirectory:

root@spissatus[~]# file /home/steinare/core.13892
/home/steinare/core.13892: ELF 32-bit LSB core file Intel 80386, version 1
(SYSV), SVR4-style, SVR4-style, from 'gam_server'

Please contact me if you would like a copy of these core-files.
They are 2-3 Mb, so I'm not attaching them to this report.
Comment 1 James Ralston 2005-05-02 17:10:38 EDT
I'm seeing this as well.  There's something in particular I do occasionally that
reliably causes gam_server to segfault, but I can't now remember what it was.

If/when I remember, I'll enter another comment.
Comment 2 Erwan Legrand 2005-05-03 11:48:36 EDT
gam_server dumps core five times a days on my notebook. Here is a full stack trace.

Core was generated by `/usr/libexec/gam_server'.
Program terminated with signal 6, Aborted.
Reading symbols from /usr/lib/libglib-2.0.so.0...done.
Loaded symbols for /usr/lib/libglib-2.0.so.0
Reading symbols from /lib/tls/libc.so.6...done.
Loaded symbols for /lib/tls/libc.so.6
Reading symbols from /lib/ld-linux.so.2...done.
Loaded symbols for /lib/ld-linux.so.2
Reading symbols from /lib/libnss_files.so.2...done.
Loaded symbols for /lib/libnss_files.so.2
#0  0x009887a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
(gdb) apply all thread bt full
Undefined command: "apply".  Try "help".
(gdb) thread apply all bt full

Thread 1 (process 21309):
#0  0x009887a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
No symbol table info available.
#1  0x009c97d5 in raise () from /lib/tls/libc.so.6
No symbol table info available.
#2  0x009cb149 in abort () from /lib/tls/libc.so.6
No symbol table info available.
#3  0x00c0ff7e in g_logv () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#4  0x00c0ffb0 in g_log () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#5  0x0804b237 in gam_tree_remove (tree=0x8056018, node=0x8063458)
    at gam_tree.c:146
        ret = 0
        __PRETTY_FUNCTION__ = "gam_tree_remove"
#6  0x0804cba3 in gam_poll_remove_subscription (sub=0x80717e0)
    at gam_poll.c:564
        node = (GamNode *) 0x0
        __FUNCTION__ = "gam_poll_remove_subscription"
#7  0x08051404 in gam_dnotify_remove_subscription (sub=0x0)
    at gam_dnotify.c:394
        __FUNCTION__ = "gam_dnotify_remove_subscription"
---Type <return> to continue, or q <return> to quit---
#8  0x0804eaaf in gam_connection_data (conn=0x80769c0, len=21309)
    at gam_connection.c:342
        req = 0x80769d8
        __FUNCTION__ = "gam_connection_data"
#9  0x0804e2c3 in gam_client_conn_read (source=0x8071958, condition=21309,
    info=0x80769c0) at gam_channel.c:237
        cr = {pid = 21234, uid = 500, gid = 10606166}
        cr_len = 12608747
        data = 0x80769d8 "\n"
        size = 4106
        fd = 32
        ret = 134703552
        __FUNCTION__ = "gam_client_conn_read"
#10 0x00c2b9c7 in g_vasprintf () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#11 0x00c077bb in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#12 0x00c09242 in g_main_context_acquire () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#13 0x00c094ef in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#14 0x0804ac86 in main (argc=1, argv=0xbffffae4) at gam_server.c:353
        loop = (GMainLoop *) 0x805c108
---Type <return> to continue, or q <return> to quit---
        i = 134563684
        __FUNCTION__ = "main"
#15 0x009b6e23 in __libc_start_main () from /lib/tls/libc.so.6
No symbol table info available.
#16 0x08049ec1 in _start ()
No symbol table info available.

It seems that some function inside glib calls abort.
Comment 3 Erwan Legrand 2005-05-03 12:02:07 EDT
Here is the same stack trace with glib2 debuging symbols :

[elegrand@dapcel ~]$ gdb /usr/libexec/gam_server core.21309
GNU gdb Red Hat Linux (6.1post-1.20040607.43rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...Using host libthread_db
library "/lib/tls/libthread_db.so.1".

Core was generated by `/usr/libexec/gam_server'.
Program terminated with signal 6, Aborted.
Reading symbols from /usr/lib/libglib-2.0.so.0...Reading symbols from
/usr/lib/debug/usr/lib/libglib-2.0.so.0.400.8.debug...done.
done.
Loaded symbols for /usr/lib/libglib-2.0.so.0
Reading symbols from /lib/tls/libc.so.6...done.
Loaded symbols for /lib/tls/libc.so.6
Reading symbols from /lib/ld-linux.so.2...done.
Loaded symbols for /lib/ld-linux.so.2
Reading symbols from /lib/libnss_files.so.2...done.
Loaded symbols for /lib/libnss_files.so.2
#0  0x009887a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
No symbol table info available.
#1  0x009c97d5 in raise () from /lib/tls/libc.so.6
No symbol table info available.
#2  0x009cb149 in abort () from /lib/tls/libc.so.6
No symbol table info available.
#3  0x00c0ff7e in g_logv (log_domain=0x0, log_level=G_LOG_LEVEL_ERROR,
format=0x8051b58 "file %s: line %d (%s): assertion failed: (%s)",
    args1=0xbffff78c "b\035\005\b\222") at gmessages.c:490
        depth = 1
        domain = (GLogDomain *) 0x533d
        data = 0x0
        log_func = 0xc1076b <g_log_default_handler>
        domain_fatal_mask = 5
        test_level = 6
        was_fatal = 0
        was_recursion = 0
        i = 2
#4  0x00c0ffb0 in g_log (log_domain=0x0, log_level=0, format=0x0) at gmessages.c:509
No locals.
#5  0x0804b237 in gam_tree_remove (tree=0x8056018, node=0x8063458) at gam_tree.c:146
        ret = 0
        __PRETTY_FUNCTION__ = "gam_tree_remove"
#6  0x0804cba3 in gam_poll_remove_subscription (sub=0x80717e0) at gam_poll.c:564
        node = (GamNode *) 0x0
        __FUNCTION__ = "gam_poll_remove_subscription"
#7  0x08051404 in gam_dnotify_remove_subscription (sub=0x0) at gam_dnotify.c:394
        __FUNCTION__ = "gam_dnotify_remove_subscription"
#8  0x0804eaaf in gam_connection_data (conn=0x80769c0, len=21309) at
gam_connection.c:342
        req = 0x80769d8
        __FUNCTION__ = "gam_connection_data"
#9  0x0804e2c3 in gam_client_conn_read (source=0x8071958, condition=21309,
info=0x80769c0) at gam_channel.c:237
        cr = {pid = 21234, uid = 500, gid = 10606166}
        cr_len = 12608747
        data = 0x80769d8 "\n"
        size = 4106
        fd = 32
        ret = 134703552
        __FUNCTION__ = "gam_client_conn_read"
#10 0x00c2b9c7 in g_io_unix_dispatch (source=0x8072d28, callback=0x804dedd
<gam_client_conn_read>, user_data=0x0) at giounix.c:161
        buffer_condition = 6
#11 0x00c077bb in g_main_context_dispatch (context=0x805a728) at gmain.c:1942
No locals.
#12 0x00c09242 in g_main_context_iterate (context=0x805a728, block=1,
dispatch=1, self=0x8056038) at gmain.c:2573
        got_ownership = 0
        max_priority = 2147483647
        timeout = 1000
        some_ready = 1
---Type <return> to continue, or q <return> to quit---
        nfds = 9
        allocated_nfds = 1
        fds = (GPollFD *) 0x8072d70
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#13 0x00c094ef in g_main_loop_run (loop=0x805c108) at gmain.c:2777
        got_ownership = 1000
        self = (GThread *) 0x8056038
        __PRETTY_FUNCTION__ = "g_main_loop_run"
#14 0x0804ac86 in main (argc=1, argv=0xbffffae4) at gam_server.c:353
        loop = (GMainLoop *) 0x805c108
        i = 134563684
        __FUNCTION__ = "main"
#15 0x009b6e23 in __libc_start_main () from /lib/tls/libc.so.6
No symbol table info available.
#16 0x08049ec1 in _start ()
No symbol table info available.
(gdb)

Comment 4 Daniel Veillard 2005-05-03 12:34:08 EDT
What version ? I doubt this occurs with the latest 0.0.26
see http://www.gnome.org/~veillard/gamin/

Daniel
Comment 5 James Ralston 2005-05-03 22:50:21 EDT
I'm seeing the core dumps using 0.0.25-1.FC3 on FC3.

I don't recall seeing any core dumps using gamin-0.0.26-1 on FC4test2.
Comment 6 James Ralston 2005-08-19 15:48:42 EDT
I haven't seen any core dumps on FC4.

Unless the original submitter is seeing them on FC4, shouldn't this bug be
closed with CURRENTRELEASE?
Comment 7 Daniel Veillard 2005-08-19 16:57:08 EDT
Right, that have been fixed with latests updates on FC3 too.

Daniel

Note You need to log in before you can comment on or make changes to this bug.